> ## Documentation Index
> Fetch the complete documentation index at: https://anyip.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieves the collection of Team resources.

> Retrieves the collection of Team resources.



## OpenAPI

````yaml /openapi.json get /api/teams
openapi: 3.1.0
info:
  title: AnyIP.io API documentation
  description: API documentation
  version: 1.0.0
servers:
  - url: /
    description: ''
security:
  - apiHeader: []
tags:
  - name: Export
    description: Export operations
  - name: IPWhitelist
    description: Supplementary IP whitelist operations
  - name: Payment
    description: Team payment invoice download
  - name: ProxyAccount
    description: Resource 'ProxyAccount' operations.
  - name: ProxyProfile
    description: Supplementary proxy profile operations
  - name: Tag
    description: Core tag operations
  - name: Team
    description: NOWPayments subscription operations
  - name: Traffic
    description: Resource 'Traffic' operations.
  - name: User
    description: Deprecated user subscription and payment operations
paths:
  /api/teams:
    get:
      tags:
        - Team
      summary: Retrieves the collection of Team resources.
      description: Retrieves the collection of Team resources.
      operationId: team_get_collection
      parameters:
        - name: page
          in: query
          description: The collection page number
          required: false
          deprecated: false
          schema:
            type: integer
            default: 1
          style: form
          explode: true
        - name: itemsPerPage
          in: query
          description: The number of items per page
          required: false
          deprecated: false
          schema:
            type: integer
            default: 30
            minimum: 0
            maximum: 30
          style: form
          explode: true
        - name: name
          in: query
          description: ''
          required: false
          deprecated: false
          schema:
            type: string
          style: form
          explode: false
      responses:
        '200':
          description: Team collection
          content:
            application/ld+json:
              schema:
                type: object
                description: >-
                  Team.jsonld-team.read_team_member.read_user.restricted_subscription.read_consumption.read_last_activity.read_plan.read_payment.read_topup.read_auto_topup_setting.read_billing_detail.read_quota_webhook_setting.read
                  collection.
                allOf:
                  - $ref: '#/components/schemas/HydraCollectionBaseSchema'
                  - type: object
                    required:
                      - hydra:member
                    properties:
                      hydra:member:
                        type: array
                        items:
                          $ref: >-
                            #/components/schemas/Team.jsonld-team.read_team_member.read_user.restricted_subscription.read_consumption.read_last_activity.read_plan.read_payment.read_topup.read_auto_topup_setting.read_billing_detail.read_quota_webhook_setting.read
            application/json:
              schema:
                type: array
                items:
                  $ref: >-
                    #/components/schemas/Team-team.read_team_member.read_user.restricted_subscription.read_consumption.read_last_activity.read_plan.read_payment.read_topup.read_auto_topup_setting.read_billing_detail.read_quota_webhook_setting.read
            text/html:
              schema:
                type: array
                items:
                  $ref: >-
                    #/components/schemas/Team.html-team.read_team_member.read_user.restricted_subscription.read_consumption.read_last_activity.read_plan.read_payment.read_topup.read_auto_topup_setting.read_billing_detail.read_quota_webhook_setting.read
        '403':
          description: Forbidden
          content:
            application/ld+json:
              schema:
                $ref: '#/components/schemas/Error.jsonld'
            application/problem+json:
              schema:
                $ref: '#/components/schemas/Error'
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
          links: {}
components:
  schemas:
    HydraCollectionBaseSchema:
      allOf:
        - $ref: '#/components/schemas/HydraCollectionBaseSchemaNoPagination'
        - type: object
          properties:
            hydra:view:
              type: object
              properties:
                '@id':
                  type: string
                  format: iri-reference
                '@type':
                  type: string
                hydra:first:
                  type:
                    - string
                    - 'null'
                  format: iri-reference
                hydra:last:
                  type:
                    - string
                    - 'null'
                  format: iri-reference
                hydra:previous:
                  type:
                    - string
                    - 'null'
                  format: iri-reference
                hydra:next:
                  type:
                    - string
                    - 'null'
                  format: iri-reference
              example:
                '@id': string
                '@type': string
                hydra:first: string
                hydra:last: string
                hydra:previous: string
                hydra:next: string
    Team.jsonld-team.read_team_member.read_user.restricted_subscription.read_consumption.read_last_activity.read_plan.read_payment.read_topup.read_auto_topup_setting.read_billing_detail.read_quota_webhook_setting.read:
      allOf:
        - $ref: '#/components/schemas/HydraItemBaseSchema'
        - type: object
          properties:
            id:
              readOnly: true
              type: string
            name:
              type: string
            is_default:
              default: false
              type: boolean
            ltv:
              default: 0
              type: number
            try_at:
              type:
                - string
                - 'null'
              format: date-time
            auto_topup_setting:
              anyOf:
                - $ref: >-
                    #/components/schemas/AutoTopupSetting.jsonld-team.read_team_member.read_user.restricted_subscription.read_consumption.read_last_activity.read_plan.read_payment.read_topup.read_auto_topup_setting.read_billing_detail.read_quota_webhook_setting.read
                - type: 'null'
            members:
              type: array
              items:
                $ref: >-
                  #/components/schemas/TeamMember.jsonld-team.read_team_member.read_user.restricted_subscription.read_consumption.read_last_activity.read_plan.read_payment.read_topup.read_auto_topup_setting.read_billing_detail.read_quota_webhook_setting.read
            billing_detail:
              anyOf:
                - $ref: >-
                    #/components/schemas/BillingDetail.jsonld-team.read_team_member.read_user.restricted_subscription.read_consumption.read_last_activity.read_plan.read_payment.read_topup.read_auto_topup_setting.read_billing_detail.read_quota_webhook_setting.read
                - type: 'null'
            quota_webhook_setting:
              anyOf:
                - $ref: >-
                    #/components/schemas/QuotaWebhookSetting.jsonld-team.read_team_member.read_user.restricted_subscription.read_consumption.read_last_activity.read_plan.read_payment.read_topup.read_auto_topup_setting.read_billing_detail.read_quota_webhook_setting.read
                - type: 'null'
            owner:
              $ref: >-
                #/components/schemas/User.jsonld-team.read_team_member.read_user.restricted_subscription.read_consumption.read_last_activity.read_plan.read_payment.read_topup.read_auto_topup_setting.read_billing_detail.read_quota_webhook_setting.read
            subscription:
              $ref: >-
                #/components/schemas/Subscription.jsonld-team.read_team_member.read_user.restricted_subscription.read_consumption.read_last_activity.read_plan.read_payment.read_topup.read_auto_topup_setting.read_billing_detail.read_quota_webhook_setting.read
          required:
            - name
      description: Basic CRUD operations
      properties:
        payments:
          type: array
          items:
            $ref: >-
              #/components/schemas/Payment.jsonld-team.read_team_member.read_user.restricted_subscription.read_consumption.read_last_activity.read_plan.read_payment.read_topup.read_auto_topup_setting.read_billing_detail.read_quota_webhook_setting.read
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
        members_count:
          readOnly: true
          type: integer
        last_activity_at:
          readOnly: true
          type:
            - string
            - 'null'
          format: date-time
    Team-team.read_team_member.read_user.restricted_subscription.read_consumption.read_last_activity.read_plan.read_payment.read_topup.read_auto_topup_setting.read_billing_detail.read_quota_webhook_setting.read:
      type: object
      description: Basic CRUD operations
      properties:
        id:
          readOnly: true
          type: string
        name:
          type: string
        is_default:
          default: false
          type: boolean
        ltv:
          default: 0
          type: number
        try_at:
          type:
            - string
            - 'null'
          format: date-time
        auto_topup_setting:
          anyOf:
            - $ref: >-
                #/components/schemas/AutoTopupSetting-team.read_team_member.read_user.restricted_subscription.read_consumption.read_last_activity.read_plan.read_payment.read_topup.read_auto_topup_setting.read_billing_detail.read_quota_webhook_setting.read
            - type: 'null'
        members:
          type: array
          items:
            $ref: >-
              #/components/schemas/TeamMember-team.read_team_member.read_user.restricted_subscription.read_consumption.read_last_activity.read_plan.read_payment.read_topup.read_auto_topup_setting.read_billing_detail.read_quota_webhook_setting.read
        billing_detail:
          anyOf:
            - $ref: >-
                #/components/schemas/BillingDetail-team.read_team_member.read_user.restricted_subscription.read_consumption.read_last_activity.read_plan.read_payment.read_topup.read_auto_topup_setting.read_billing_detail.read_quota_webhook_setting.read
            - type: 'null'
        quota_webhook_setting:
          anyOf:
            - $ref: >-
                #/components/schemas/QuotaWebhookSetting-team.read_team_member.read_user.restricted_subscription.read_consumption.read_last_activity.read_plan.read_payment.read_topup.read_auto_topup_setting.read_billing_detail.read_quota_webhook_setting.read
            - type: 'null'
        owner:
          $ref: >-
            #/components/schemas/User-team.read_team_member.read_user.restricted_subscription.read_consumption.read_last_activity.read_plan.read_payment.read_topup.read_auto_topup_setting.read_billing_detail.read_quota_webhook_setting.read
        subscription:
          $ref: >-
            #/components/schemas/Subscription-team.read_team_member.read_user.restricted_subscription.read_consumption.read_last_activity.read_plan.read_payment.read_topup.read_auto_topup_setting.read_billing_detail.read_quota_webhook_setting.read
        payments:
          type: array
          items:
            $ref: >-
              #/components/schemas/Payment-team.read_team_member.read_user.restricted_subscription.read_consumption.read_last_activity.read_plan.read_payment.read_topup.read_auto_topup_setting.read_billing_detail.read_quota_webhook_setting.read
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
        members_count:
          readOnly: true
          type: integer
        last_activity_at:
          readOnly: true
          type:
            - string
            - 'null'
          format: date-time
      required:
        - name
    Team.html-team.read_team_member.read_user.restricted_subscription.read_consumption.read_last_activity.read_plan.read_payment.read_topup.read_auto_topup_setting.read_billing_detail.read_quota_webhook_setting.read:
      type: object
      description: Basic CRUD operations
      properties:
        id:
          readOnly: true
          type: string
        name:
          type: string
        is_default:
          default: false
          type: boolean
        ltv:
          default: 0
          type: number
        try_at:
          type:
            - string
            - 'null'
          format: date-time
        auto_topup_setting:
          anyOf:
            - $ref: >-
                #/components/schemas/AutoTopupSetting.html-team.read_team_member.read_user.restricted_subscription.read_consumption.read_last_activity.read_plan.read_payment.read_topup.read_auto_topup_setting.read_billing_detail.read_quota_webhook_setting.read
            - type: 'null'
        members:
          type: array
          items:
            $ref: >-
              #/components/schemas/TeamMember.html-team.read_team_member.read_user.restricted_subscription.read_consumption.read_last_activity.read_plan.read_payment.read_topup.read_auto_topup_setting.read_billing_detail.read_quota_webhook_setting.read
        billing_detail:
          anyOf:
            - $ref: >-
                #/components/schemas/BillingDetail.html-team.read_team_member.read_user.restricted_subscription.read_consumption.read_last_activity.read_plan.read_payment.read_topup.read_auto_topup_setting.read_billing_detail.read_quota_webhook_setting.read
            - type: 'null'
        quota_webhook_setting:
          anyOf:
            - $ref: >-
                #/components/schemas/QuotaWebhookSetting.html-team.read_team_member.read_user.restricted_subscription.read_consumption.read_last_activity.read_plan.read_payment.read_topup.read_auto_topup_setting.read_billing_detail.read_quota_webhook_setting.read
            - type: 'null'
        owner:
          $ref: >-
            #/components/schemas/User.html-team.read_team_member.read_user.restricted_subscription.read_consumption.read_last_activity.read_plan.read_payment.read_topup.read_auto_topup_setting.read_billing_detail.read_quota_webhook_setting.read
        subscription:
          $ref: >-
            #/components/schemas/Subscription.html-team.read_team_member.read_user.restricted_subscription.read_consumption.read_last_activity.read_plan.read_payment.read_topup.read_auto_topup_setting.read_billing_detail.read_quota_webhook_setting.read
        payments:
          type: array
          items:
            $ref: >-
              #/components/schemas/Payment.html-team.read_team_member.read_user.restricted_subscription.read_consumption.read_last_activity.read_plan.read_payment.read_topup.read_auto_topup_setting.read_billing_detail.read_quota_webhook_setting.read
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
        members_count:
          readOnly: true
          type: integer
        last_activity_at:
          readOnly: true
          type:
            - string
            - 'null'
          format: date-time
      required:
        - name
    Error.jsonld:
      allOf:
        - $ref: '#/components/schemas/HydraItemBaseSchema'
        - type: object
          properties:
            title:
              readOnly: true
              description: A short, human-readable summary of the problem.
              type:
                - string
                - 'null'
            detail:
              readOnly: true
              description: >-
                A human-readable explanation specific to this occurrence of the
                problem.
              type:
                - string
                - 'null'
            status:
              type:
                - integer
                - 'null'
              examples:
                - 404
              default: 400
            instance:
              readOnly: true
              description: >-
                A URI reference that identifies the specific occurrence of the
                problem. It may or may not yield further information if
                dereferenced.
              type:
                - string
                - 'null'
            type:
              readOnly: true
              description: A URI reference that identifies the problem type
              type: string
            description:
              readOnly: true
              type:
                - string
                - 'null'
      description: A representation of common errors.
    Error:
      type: object
      description: A representation of common errors.
      properties:
        title:
          readOnly: true
          description: A short, human-readable summary of the problem.
          type:
            - string
            - 'null'
        detail:
          readOnly: true
          description: >-
            A human-readable explanation specific to this occurrence of the
            problem.
          type:
            - string
            - 'null'
        status:
          type:
            - integer
            - 'null'
          examples:
            - 404
          default: 400
        instance:
          readOnly: true
          description: >-
            A URI reference that identifies the specific occurrence of the
            problem. It may or may not yield further information if
            dereferenced.
          type:
            - string
            - 'null'
        type:
          readOnly: true
          description: A URI reference that identifies the problem type
          type: string
    HydraCollectionBaseSchemaNoPagination:
      type: object
      properties:
        hydra:totalItems:
          type: integer
          minimum: 0
        hydra:search:
          type: object
          properties:
            '@type':
              type: string
            hydra:template:
              type: string
            hydra:variableRepresentation:
              type: string
            hydra:mapping:
              type: array
              items:
                type: object
                properties:
                  '@type':
                    type: string
                  variable:
                    type: string
                  property:
                    type:
                      - string
                      - 'null'
                  required:
                    type: boolean
    HydraItemBaseSchema:
      type: object
      properties:
        '@context':
          oneOf:
            - type: string
            - type: object
              properties:
                '@vocab':
                  type: string
                hydra:
                  type: string
                  enum:
                    - http://www.w3.org/ns/hydra/core#
              required:
                - '@vocab'
                - hydra
              additionalProperties: true
        '@id':
          type: string
        '@type':
          type: string
      required:
        - '@id'
        - '@type'
    AutoTopupSetting.jsonld-team.read_team_member.read_user.restricted_subscription.read_consumption.read_last_activity.read_plan.read_payment.read_topup.read_auto_topup_setting.read_billing_detail.read_quota_webhook_setting.read:
      type: object
      properties:
        enabled:
          default: false
          type: boolean
        threshold:
          minimum: 1
          maximum: 999999
          default: 1
          type: integer
        extra_gb:
          minimum: 1
          maximum: 999999
          default: 2
          type: integer
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
    TeamMember.jsonld-team.read_team_member.read_user.restricted_subscription.read_consumption.read_last_activity.read_plan.read_payment.read_topup.read_auto_topup_setting.read_billing_detail.read_quota_webhook_setting.read:
      allOf:
        - $ref: '#/components/schemas/HydraItemBaseSchema'
        - type: object
          required:
            - user
          properties:
            user:
              $ref: >-
                #/components/schemas/User.jsonld-team.read_team_member.read_user.restricted_subscription.read_consumption.read_last_activity.read_plan.read_payment.read_topup.read_auto_topup_setting.read_billing_detail.read_quota_webhook_setting.read
            role:
              default: ROLE_TEAM_MEMBER
              type: string
            created_at:
              type: string
              format: date-time
            updated_at:
              type: string
              format: date-time
      description: Admin member operations
    BillingDetail.jsonld-team.read_team_member.read_user.restricted_subscription.read_consumption.read_last_activity.read_plan.read_payment.read_topup.read_auto_topup_setting.read_billing_detail.read_quota_webhook_setting.read:
      type: object
      properties:
        name:
          maxLength: 150
          type:
            - string
            - 'null'
        company_name:
          maxLength: 150
          type:
            - string
            - 'null'
        company_id:
          maxLength: 100
          type:
            - string
            - 'null'
        address1:
          maxLength: 150
          type:
            - string
            - 'null'
        address2:
          maxLength: 150
          type:
            - string
            - 'null'
        country:
          type:
            - string
            - 'null'
        city:
          maxLength: 50
          type:
            - string
            - 'null'
        state:
          maxLength: 50
          type:
            - string
            - 'null'
        postal_code:
          maxLength: 50
          type:
            - string
            - 'null'
        billing_email:
          format: email
          externalDocs:
            url: https://schema.org/email
          type:
            - string
            - 'null'
        registration_number:
          maxLength: 50
          type:
            - string
            - 'null'
    QuotaWebhookSetting.jsonld-team.read_team_member.read_user.restricted_subscription.read_consumption.read_last_activity.read_plan.read_payment.read_topup.read_auto_topup_setting.read_billing_detail.read_quota_webhook_setting.read:
      type: object
      properties:
        enabled:
          default: false
          type: boolean
        url:
          format: uri
          externalDocs:
            url: https://schema.org/url
          type:
            - string
            - 'null'
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
    User.jsonld-team.read_team_member.read_user.restricted_subscription.read_consumption.read_last_activity.read_plan.read_payment.read_topup.read_auto_topup_setting.read_billing_detail.read_quota_webhook_setting.read:
      allOf:
        - $ref: '#/components/schemas/HydraItemBaseSchema'
        - type: object
          properties:
            id:
              readOnly: true
              type: string
            email:
              maxLength: 255
              format: email
              externalDocs:
                url: https://schema.org/email
              type: string
            first_name:
              maxLength: 100
              type:
                - string
                - 'null'
            last_name:
              maxLength: 100
              type:
                - string
                - 'null'
            enabled:
              type: boolean
            created_at:
              type: string
              format: date-time
            updated_at:
              type: string
              format: date-time
          required:
            - email
      description: Core user operations
    Subscription.jsonld-team.read_team_member.read_user.restricted_subscription.read_consumption.read_last_activity.read_plan.read_payment.read_topup.read_auto_topup_setting.read_billing_detail.read_quota_webhook_setting.read:
      allOf:
        - $ref: '#/components/schemas/HydraItemBaseSchema'
        - type: object
          properties:
            id:
              readOnly: true
              type: string
            cancelled_at:
              type:
                - string
                - 'null'
              format: date-time
            gateway:
              default: paddle
              type: string
            paused_at:
              type:
                - string
                - 'null'
              format: date-time
            plan:
              $ref: >-
                #/components/schemas/SubscriptionPlan.jsonld-team.read_team_member.read_user.restricted_subscription.read_consumption.read_last_activity.read_plan.read_payment.read_topup.read_auto_topup_setting.read_billing_detail.read_quota_webhook_setting.read
            status:
              default: active
              type: string
            subscription_id:
              type: string
            topups:
              type: array
              items:
                $ref: >-
                  #/components/schemas/Topup.jsonld-team.read_team_member.read_user.restricted_subscription.read_consumption.read_last_activity.read_plan.read_payment.read_topup.read_auto_topup_setting.read_billing_detail.read_quota_webhook_setting.read
            update_url:
              type:
                - string
                - 'null'
            valid_from:
              type: string
              format: date-time
            valid_until:
              type: string
              format: date-time
            next_payment_at:
              type:
                - string
                - 'null'
              format: date-time
            expired_at:
              type:
                - string
                - 'null'
              format: date-time
            need_payment_detail_update:
              writeOnly: true
              default: false
              type: boolean
            current_quota:
              readOnly: true
              type: integer
            current_proxy_account_quota:
              readOnly: true
              type: integer
            current_quota_str:
              readOnly: true
              type: string
            bytes_recv:
              default: 0
              type: integer
            bytes_sent:
              default: 0
              type: integer
            last_activity_at:
              type:
                - string
                - 'null'
              format: date-time
            created_at:
              type: string
              format: date-time
            updated_at:
              type: string
              format: date-time
            billing_cycle:
              readOnly: true
              type: string
            gateway_label:
              readOnly: true
              type:
                - string
                - 'null'
            consumption_str:
              readOnly: true
              type: string
            consumption:
              readOnly: true
              type: integer
      description: Admin subscription operations
    Payment.jsonld-team.read_team_member.read_user.restricted_subscription.read_consumption.read_last_activity.read_plan.read_payment.read_topup.read_auto_topup_setting.read_billing_detail.read_quota_webhook_setting.read:
      allOf:
        - $ref: '#/components/schemas/HydraItemBaseSchema'
        - type: object
          properties:
            id:
              readOnly: true
              type: string
            team:
              anyOf:
                - $ref: >-
                    #/components/schemas/Team.jsonld-team.read_team_member.read_user.restricted_subscription.read_consumption.read_last_activity.read_plan.read_payment.read_topup.read_auto_topup_setting.read_billing_detail.read_quota_webhook_setting.read
                - type: 'null'
            payment_id:
              type:
                - string
                - 'null'
            subscription_id:
              type: string
            gateway:
              type: string
            price:
              default: 0
              type: number
            product_name:
              type: string
            quantity:
              type: integer
            receipt_url:
              type:
                - string
                - 'null'
            status:
              type: string
            billing_detail:
              anyOf:
                - $ref: >-
                    #/components/schemas/BillingDetail.jsonld-team.read_team_member.read_user.restricted_subscription.read_consumption.read_last_activity.read_plan.read_payment.read_topup.read_auto_topup_setting.read_billing_detail.read_quota_webhook_setting.read
                - type: 'null'
            created_at:
              type: string
              format: date-time
            updated_at:
              type: string
              format: date-time
            gateway_label:
              readOnly: true
              type:
                - string
                - 'null'
      description: Admin payment operations
    AutoTopupSetting-team.read_team_member.read_user.restricted_subscription.read_consumption.read_last_activity.read_plan.read_payment.read_topup.read_auto_topup_setting.read_billing_detail.read_quota_webhook_setting.read:
      type: object
      properties:
        enabled:
          default: false
          type: boolean
        threshold:
          minimum: 1
          maximum: 999999
          default: 1
          type: integer
        extra_gb:
          minimum: 1
          maximum: 999999
          default: 2
          type: integer
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
    TeamMember-team.read_team_member.read_user.restricted_subscription.read_consumption.read_last_activity.read_plan.read_payment.read_topup.read_auto_topup_setting.read_billing_detail.read_quota_webhook_setting.read:
      type: object
      required:
        - user
      properties:
        user:
          $ref: >-
            #/components/schemas/User-team.read_team_member.read_user.restricted_subscription.read_consumption.read_last_activity.read_plan.read_payment.read_topup.read_auto_topup_setting.read_billing_detail.read_quota_webhook_setting.read
        role:
          default: ROLE_TEAM_MEMBER
          type: string
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
    BillingDetail-team.read_team_member.read_user.restricted_subscription.read_consumption.read_last_activity.read_plan.read_payment.read_topup.read_auto_topup_setting.read_billing_detail.read_quota_webhook_setting.read:
      type: object
      properties:
        name:
          maxLength: 150
          type:
            - string
            - 'null'
        company_name:
          maxLength: 150
          type:
            - string
            - 'null'
        company_id:
          maxLength: 100
          type:
            - string
            - 'null'
        address1:
          maxLength: 150
          type:
            - string
            - 'null'
        address2:
          maxLength: 150
          type:
            - string
            - 'null'
        country:
          type:
            - string
            - 'null'
        city:
          maxLength: 50
          type:
            - string
            - 'null'
        state:
          maxLength: 50
          type:
            - string
            - 'null'
        postal_code:
          maxLength: 50
          type:
            - string
            - 'null'
        billing_email:
          format: email
          externalDocs:
            url: https://schema.org/email
          type:
            - string
            - 'null'
        registration_number:
          maxLength: 50
          type:
            - string
            - 'null'
    QuotaWebhookSetting-team.read_team_member.read_user.restricted_subscription.read_consumption.read_last_activity.read_plan.read_payment.read_topup.read_auto_topup_setting.read_billing_detail.read_quota_webhook_setting.read:
      type: object
      properties:
        enabled:
          default: false
          type: boolean
        url:
          format: uri
          externalDocs:
            url: https://schema.org/url
          type:
            - string
            - 'null'
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
    User-team.read_team_member.read_user.restricted_subscription.read_consumption.read_last_activity.read_plan.read_payment.read_topup.read_auto_topup_setting.read_billing_detail.read_quota_webhook_setting.read:
      type: object
      properties:
        id:
          readOnly: true
          type: string
        email:
          maxLength: 255
          format: email
          externalDocs:
            url: https://schema.org/email
          type: string
        first_name:
          maxLength: 100
          type:
            - string
            - 'null'
        last_name:
          maxLength: 100
          type:
            - string
            - 'null'
        enabled:
          type: boolean
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
      required:
        - email
    Subscription-team.read_team_member.read_user.restricted_subscription.read_consumption.read_last_activity.read_plan.read_payment.read_topup.read_auto_topup_setting.read_billing_detail.read_quota_webhook_setting.read:
      type: object
      properties:
        id:
          readOnly: true
          type: string
        cancelled_at:
          type:
            - string
            - 'null'
          format: date-time
        gateway:
          default: paddle
          type: string
        paused_at:
          type:
            - string
            - 'null'
          format: date-time
        plan:
          $ref: >-
            #/components/schemas/SubscriptionPlan-team.read_team_member.read_user.restricted_subscription.read_consumption.read_last_activity.read_plan.read_payment.read_topup.read_auto_topup_setting.read_billing_detail.read_quota_webhook_setting.read
        status:
          default: active
          type: string
        subscription_id:
          type: string
        topups:
          type: array
          items:
            $ref: >-
              #/components/schemas/Topup-team.read_team_member.read_user.restricted_subscription.read_consumption.read_last_activity.read_plan.read_payment.read_topup.read_auto_topup_setting.read_billing_detail.read_quota_webhook_setting.read
        update_url:
          type:
            - string
            - 'null'
        valid_from:
          type: string
          format: date-time
        valid_until:
          type: string
          format: date-time
        next_payment_at:
          type:
            - string
            - 'null'
          format: date-time
        expired_at:
          type:
            - string
            - 'null'
          format: date-time
        need_payment_detail_update:
          writeOnly: true
          default: false
          type: boolean
        current_quota:
          readOnly: true
          type: integer
        current_proxy_account_quota:
          readOnly: true
          type: integer
        current_quota_str:
          readOnly: true
          type: string
        bytes_recv:
          default: 0
          type: integer
        bytes_sent:
          default: 0
          type: integer
        last_activity_at:
          type:
            - string
            - 'null'
          format: date-time
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
        billing_cycle:
          readOnly: true
          type: string
        gateway_label:
          readOnly: true
          type:
            - string
            - 'null'
        consumption_str:
          readOnly: true
          type: string
        consumption:
          readOnly: true
          type: integer
    Payment-team.read_team_member.read_user.restricted_subscription.read_consumption.read_last_activity.read_plan.read_payment.read_topup.read_auto_topup_setting.read_billing_detail.read_quota_webhook_setting.read:
      type: object
      properties:
        id:
          readOnly: true
          type: string
        team:
          anyOf:
            - $ref: >-
                #/components/schemas/Team-team.read_team_member.read_user.restricted_subscription.read_consumption.read_last_activity.read_plan.read_payment.read_topup.read_auto_topup_setting.read_billing_detail.read_quota_webhook_setting.read
            - type: 'null'
        payment_id:
          type:
            - string
            - 'null'
        subscription_id:
          type: string
        gateway:
          type: string
        price:
          default: 0
          type: number
        product_name:
          type: string
        quantity:
          type: integer
        receipt_url:
          type:
            - string
            - 'null'
        status:
          type: string
        billing_detail:
          anyOf:
            - $ref: >-
                #/components/schemas/BillingDetail-team.read_team_member.read_user.restricted_subscription.read_consumption.read_last_activity.read_plan.read_payment.read_topup.read_auto_topup_setting.read_billing_detail.read_quota_webhook_setting.read
            - type: 'null'
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
        gateway_label:
          readOnly: true
          type:
            - string
            - 'null'
    AutoTopupSetting.html-team.read_team_member.read_user.restricted_subscription.read_consumption.read_last_activity.read_plan.read_payment.read_topup.read_auto_topup_setting.read_billing_detail.read_quota_webhook_setting.read:
      type: object
      properties:
        enabled:
          default: false
          type: boolean
        threshold:
          minimum: 1
          maximum: 999999
          default: 1
          type: integer
        extra_gb:
          minimum: 1
          maximum: 999999
          default: 2
          type: integer
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
    TeamMember.html-team.read_team_member.read_user.restricted_subscription.read_consumption.read_last_activity.read_plan.read_payment.read_topup.read_auto_topup_setting.read_billing_detail.read_quota_webhook_setting.read:
      type: object
      required:
        - user
      properties:
        user:
          $ref: >-
            #/components/schemas/User.html-team.read_team_member.read_user.restricted_subscription.read_consumption.read_last_activity.read_plan.read_payment.read_topup.read_auto_topup_setting.read_billing_detail.read_quota_webhook_setting.read
        role:
          default: ROLE_TEAM_MEMBER
          type: string
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
    BillingDetail.html-team.read_team_member.read_user.restricted_subscription.read_consumption.read_last_activity.read_plan.read_payment.read_topup.read_auto_topup_setting.read_billing_detail.read_quota_webhook_setting.read:
      type: object
      properties:
        name:
          maxLength: 150
          type:
            - string
            - 'null'
        company_name:
          maxLength: 150
          type:
            - string
            - 'null'
        company_id:
          maxLength: 100
          type:
            - string
            - 'null'
        address1:
          maxLength: 150
          type:
            - string
            - 'null'
        address2:
          maxLength: 150
          type:
            - string
            - 'null'
        country:
          type:
            - string
            - 'null'
        city:
          maxLength: 50
          type:
            - string
            - 'null'
        state:
          maxLength: 50
          type:
            - string
            - 'null'
        postal_code:
          maxLength: 50
          type:
            - string
            - 'null'
        billing_email:
          format: email
          externalDocs:
            url: https://schema.org/email
          type:
            - string
            - 'null'
        registration_number:
          maxLength: 50
          type:
            - string
            - 'null'
    QuotaWebhookSetting.html-team.read_team_member.read_user.restricted_subscription.read_consumption.read_last_activity.read_plan.read_payment.read_topup.read_auto_topup_setting.read_billing_detail.read_quota_webhook_setting.read:
      type: object
      properties:
        enabled:
          default: false
          type: boolean
        url:
          format: uri
          externalDocs:
            url: https://schema.org/url
          type:
            - string
            - 'null'
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
    User.html-team.read_team_member.read_user.restricted_subscription.read_consumption.read_last_activity.read_plan.read_payment.read_topup.read_auto_topup_setting.read_billing_detail.read_quota_webhook_setting.read:
      type: object
      properties:
        id:
          readOnly: true
          type: string
        email:
          maxLength: 255
          format: email
          externalDocs:
            url: https://schema.org/email
          type: string
        first_name:
          maxLength: 100
          type:
            - string
            - 'null'
        last_name:
          maxLength: 100
          type:
            - string
            - 'null'
        enabled:
          type: boolean
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
      required:
        - email
    Subscription.html-team.read_team_member.read_user.restricted_subscription.read_consumption.read_last_activity.read_plan.read_payment.read_topup.read_auto_topup_setting.read_billing_detail.read_quota_webhook_setting.read:
      type: object
      properties:
        id:
          readOnly: true
          type: string
        cancelled_at:
          type:
            - string
            - 'null'
          format: date-time
        gateway:
          default: paddle
          type: string
        paused_at:
          type:
            - string
            - 'null'
          format: date-time
        plan:
          $ref: >-
            #/components/schemas/SubscriptionPlan.html-team.read_team_member.read_user.restricted_subscription.read_consumption.read_last_activity.read_plan.read_payment.read_topup.read_auto_topup_setting.read_billing_detail.read_quota_webhook_setting.read
        status:
          default: active
          type: string
        subscription_id:
          type: string
        topups:
          type: array
          items:
            $ref: >-
              #/components/schemas/Topup.html-team.read_team_member.read_user.restricted_subscription.read_consumption.read_last_activity.read_plan.read_payment.read_topup.read_auto_topup_setting.read_billing_detail.read_quota_webhook_setting.read
        update_url:
          type:
            - string
            - 'null'
        valid_from:
          type: string
          format: date-time
        valid_until:
          type: string
          format: date-time
        next_payment_at:
          type:
            - string
            - 'null'
          format: date-time
        expired_at:
          type:
            - string
            - 'null'
          format: date-time
        need_payment_detail_update:
          writeOnly: true
          default: false
          type: boolean
        current_quota:
          readOnly: true
          type: integer
        current_proxy_account_quota:
          readOnly: true
          type: integer
        current_quota_str:
          readOnly: true
          type: string
        bytes_recv:
          default: 0
          type: integer
        bytes_sent:
          default: 0
          type: integer
        last_activity_at:
          type:
            - string
            - 'null'
          format: date-time
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
        billing_cycle:
          readOnly: true
          type: string
        gateway_label:
          readOnly: true
          type:
            - string
            - 'null'
        consumption_str:
          readOnly: true
          type: string
        consumption:
          readOnly: true
          type: integer
    Payment.html-team.read_team_member.read_user.restricted_subscription.read_consumption.read_last_activity.read_plan.read_payment.read_topup.read_auto_topup_setting.read_billing_detail.read_quota_webhook_setting.read:
      type: object
      properties:
        id:
          readOnly: true
          type: string
        team:
          anyOf:
            - $ref: >-
                #/components/schemas/Team.html-team.read_team_member.read_user.restricted_subscription.read_consumption.read_last_activity.read_plan.read_payment.read_topup.read_auto_topup_setting.read_billing_detail.read_quota_webhook_setting.read
            - type: 'null'
        payment_id:
          type:
            - string
            - 'null'
        subscription_id:
          type: string
        gateway:
          type: string
        price:
          default: 0
          type: number
        product_name:
          type: string
        quantity:
          type: integer
        receipt_url:
          type:
            - string
            - 'null'
        status:
          type: string
        billing_detail:
          anyOf:
            - $ref: >-
                #/components/schemas/BillingDetail.html-team.read_team_member.read_user.restricted_subscription.read_consumption.read_last_activity.read_plan.read_payment.read_topup.read_auto_topup_setting.read_billing_detail.read_quota_webhook_setting.read
            - type: 'null'
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
        gateway_label:
          readOnly: true
          type:
            - string
            - 'null'
    SubscriptionPlan.jsonld-team.read_team_member.read_user.restricted_subscription.read_consumption.read_last_activity.read_plan.read_payment.read_topup.read_auto_topup_setting.read_billing_detail.read_quota_webhook_setting.read:
      type: object
      properties:
        id:
          readOnly: true
          type:
            - string
            - 'null'
        is_custom:
          default: false
          type: boolean
        name:
          maxLength: 255
          default: ''
          type: string
        description:
          maxLength: 2000
          default: ''
          type: string
        quota:
          minimum: 0
          exclusiveMinimum: 0
          default: 1
          type: integer
        proxy_account_quota:
          minimum: 0
          exclusiveMinimum: 0
          default: 1
          type: integer
        price:
          minimum: 0
          default: 0
          type: integer
        price_per_extra_gb:
          minimum: 0
          default: 0
          type: integer
        price_per_extra_proxy_account:
          minimum: 0
          default: 0
          type: integer
        order:
          minimum: 0
          default: 0
          type: integer
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
        paddle_product_id:
          minimum: 0
          default: 0
          type: integer
      required:
        - name
    Topup.jsonld-team.read_team_member.read_user.restricted_subscription.read_consumption.read_last_activity.read_plan.read_payment.read_topup.read_auto_topup_setting.read_billing_detail.read_quota_webhook_setting.read:
      type: object
      required:
        - kind
      properties:
        kind:
          type: string
          enum:
            - quota
            - proxy_account
            - ips
            - private_ips
        quantity:
          default: 0
          type: integer
        description:
          default: ''
          type: string
        payment_kind:
          default: purchase
          type: string
          enum:
            - purchase
            - refund
            - gift
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
    SubscriptionPlan-team.read_team_member.read_user.restricted_subscription.read_consumption.read_last_activity.read_plan.read_payment.read_topup.read_auto_topup_setting.read_billing_detail.read_quota_webhook_setting.read:
      type: object
      properties:
        id:
          readOnly: true
          type:
            - string
            - 'null'
        is_custom:
          default: false
          type: boolean
        name:
          maxLength: 255
          default: ''
          type: string
        description:
          maxLength: 2000
          default: ''
          type: string
        quota:
          minimum: 0
          exclusiveMinimum: 0
          default: 1
          type: integer
        proxy_account_quota:
          minimum: 0
          exclusiveMinimum: 0
          default: 1
          type: integer
        price:
          minimum: 0
          default: 0
          type: integer
        price_per_extra_gb:
          minimum: 0
          default: 0
          type: integer
        price_per_extra_proxy_account:
          minimum: 0
          default: 0
          type: integer
        order:
          minimum: 0
          default: 0
          type: integer
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
        paddle_product_id:
          minimum: 0
          default: 0
          type: integer
      required:
        - name
    Topup-team.read_team_member.read_user.restricted_subscription.read_consumption.read_last_activity.read_plan.read_payment.read_topup.read_auto_topup_setting.read_billing_detail.read_quota_webhook_setting.read:
      type: object
      required:
        - kind
      properties:
        kind:
          type: string
          enum:
            - quota
            - proxy_account
            - ips
            - private_ips
        quantity:
          default: 0
          type: integer
        description:
          default: ''
          type: string
        payment_kind:
          default: purchase
          type: string
          enum:
            - purchase
            - refund
            - gift
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
    SubscriptionPlan.html-team.read_team_member.read_user.restricted_subscription.read_consumption.read_last_activity.read_plan.read_payment.read_topup.read_auto_topup_setting.read_billing_detail.read_quota_webhook_setting.read:
      type: object
      properties:
        id:
          readOnly: true
          type:
            - string
            - 'null'
        is_custom:
          default: false
          type: boolean
        name:
          maxLength: 255
          default: ''
          type: string
        description:
          maxLength: 2000
          default: ''
          type: string
        quota:
          minimum: 0
          exclusiveMinimum: 0
          default: 1
          type: integer
        proxy_account_quota:
          minimum: 0
          exclusiveMinimum: 0
          default: 1
          type: integer
        price:
          minimum: 0
          default: 0
          type: integer
        price_per_extra_gb:
          minimum: 0
          default: 0
          type: integer
        price_per_extra_proxy_account:
          minimum: 0
          default: 0
          type: integer
        order:
          minimum: 0
          default: 0
          type: integer
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
        paddle_product_id:
          minimum: 0
          default: 0
          type: integer
      required:
        - name
    Topup.html-team.read_team_member.read_user.restricted_subscription.read_consumption.read_last_activity.read_plan.read_payment.read_topup.read_auto_topup_setting.read_billing_detail.read_quota_webhook_setting.read:
      type: object
      required:
        - kind
      properties:
        kind:
          type: string
          enum:
            - quota
            - proxy_account
            - ips
            - private_ips
        quantity:
          default: 0
          type: integer
        description:
          default: ''
          type: string
        payment_kind:
          default: purchase
          type: string
          enum:
            - purchase
            - refund
            - gift
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
  securitySchemes:
    apiHeader:
      type: apiKey
      description: Value for the api-key header parameter.
      name: api-key
      in: header

````